Summary: IBM Informix Dynamic Server + J/Foundation
Vendor: IBM Corporation
Group: Applications/Databases
Name: $RPM_PACKAGE_BASE_NAME$
Version: $RPM_PACKAGE_VERSION$
Release: $RPM_PACKAGE_RELEASE$
License: IBM Software License Agreement
Source: iif-1170.bz2
Packager: IBM Corporation
URL: http://www.ibm.com/software/data/informix/
AutoReqProv: no
Prefix: $USER_INSTALL_DIR$
%define __os_post_install %{nil}
%define __jar_repack %{nil}
%define __check_files %{nil}
%define _prefix $USER_INSTALL_DIR$
BuildRoot: %{_topdir}/BUILD/

%description
IBM Informix Dynamic Server + J/Foundation

%prep
echo rpm prefix=%{_prefix}
rm -rf $DOLLAR$RPM_BUILD_ROOT/opt
rm -rf $DOLLAR$RPM_BUILD_ROOT/tmp


%build
mkdir -p  $DOLLAR$RPM_BUILD_ROOT$USER_INSTALL_DIR$
cd $DOLLAR$RPM_BUILD_ROOT$USER_INSTALL_DIR$
tar -xpjf %{_topdir}/SOURCES/iif-1170.bz2


%pre

TMPIFXFILE=/tmp/.ifmxuser.$DOLLAR$$DOLLAR$
rm -rf $DOLLAR$TMPIFXFILE
touch $DOLLAR$TMPIFXFILE
chown informix $DOLLAR$TMPIFXFILE > /dev/null 2>&1
STATu=$DOLLAR$?
if [ $DOLLAR$STATu -ne 0 ]
then
echo " "
echo "ERROR: user informix does not exist yet.  Use 'useradd' to create it."
fi
chgrp informix  $DOLLAR$TMPIFXFILE > /dev/null 2>&1
STATg=$DOLLAR$?
if [ $DOLLAR$STATg -ne 0 ]
then
echo " "
echo "ERROR: group informix does not exist yet.  Use 'groupadd' to create it."
fi
rm -f $DOLLAR$TMPIFXFILE
if [ $DOLLAR$STATu -eq 0 -a $DOLLAR$STATg -eq 0 ]
then
true
else
CONT=
while [ x"$DOLLAR$CONT" != "xOVERRIDE" ]
do
echo " " 
echo "Press the interrupt key to exit, then make sure that"
echo "user informix and group informix exist before rerunning RPM."
read CONT < /dev/tty 
done
fi

%install
export DONT_STRIP=1


%post
licensefile=`rpm -ql $RPM_PACKAGE_BASE_NAME$-$RPM_PACKAGE_VERSION$-$RPM_PACKAGE_RELEASE$ | grep 'license/English.txt$DOLLAR$'`
licensedir=`dirname $DOLLAR$licensefile`
INFORMIXDIR=`dirname $DOLLAR$licensedir`
cd $DOLLAR$INFORMIXDIR
chmod 755 rpm_postinstall.sh
[ -f ./rpm_postinstall.sh ] && nohup ./rpm_postinstall.sh > /dev/null 2>&1

%clean
rm -rf $DOLLAR$RPM_BUILD_ROOT
rm -rf %{_topdir}/SOURCES
rm -rf %{_topdir}/SRPMS

%preun
licensefile=`rpm -ql $RPM_PACKAGE_BASE_NAME$-$RPM_PACKAGE_VERSION$-$RPM_PACKAGE_RELEASE$ | grep 'license/English.txt$DOLLAR$'`
licensedir=`dirname $DOLLAR$licensefile`
INFORMIXDIR=`dirname $DOLLAR$licensedir`
[ -f /tmp/.informix-install-rpm-location ] && rm -f /tmp/.informix-install-rpm-location
echo $DOLLAR$INFORMIXDIR >> /tmp/.informix-install-rpm-location

%postun
if [ -f /tmp/.informix-install-rpm-location -a $DOLLAR$1 -eq 0 ]
then
INFORMIXDIR=`cat /tmp/.informix-install-rpm-location`
cd $DOLLAR$INFORMIXDIR
for dir in SDK release properties jdbc incl help gls extend doc demo snmp msg license lib ism isa gskit forms etc dbssodir aaodir bin
do
if [ -d $DOLLAR$dir ]
then
find $DOLLAR$INFORMIXDIR$/$$DOLLAR$dir -depth -empty -type d -exec rmdir {} \;
fi
done
rm -f /tmp/.informix-install-rpm-location
fi

%files
%defattr(755, informix, informix, 755)
	%{_prefix}/rpm_postinstall.sh
	%{_prefix}/license/*

